summaryrefslogtreecommitdiff
path: root/tests/mv/part-hardlink
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2009-08-30 01:27:45 +0100
committerPádraig Brady <P@draigBrady.com>2009-08-30 10:58:13 +0100
commit56300b1dc28f4acef88821364419933459d931f6 (patch)
tree7431d394b59717842cbb8e3617705428849134db /tests/mv/part-hardlink
parent0a859a6cb0000f3662f1b06c151d80e1d764f983 (diff)
downloadcoreutils-56300b1dc28f4acef88821364419933459d931f6.tar.xz
tests: don't misbehave if $TMPDIR contains spaces
* tests/misc/xattr: Add quotes. * tests/mv/acl: Likewise. * tests/mv/backup-is-src: Likewise. * tests/mv/hard-link-1: Likewise. * tests/mv/leak-fd: Likewise. * tests/mv/mv-special-1: Likewise. * tests/mv/part-fail: Likewise. * tests/mv/part-hardlink: Likewise. * tests/mv/part-rename: Likewise. * tests/mv/part-symlink: Likewise. * tests/mv/partition-perm: Likewise. * tests/mv/sticky-to-xpart: Likewise.
Diffstat (limited to 'tests/mv/part-hardlink')
-rwxr-xr-xtests/mv/part-hardlink6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/mv/part-hardlink b/tests/mv/part-hardlink
index 32d58d715..51dea2043 100755
--- a/tests/mv/part-hardlink
+++ b/tests/mv/part-hardlink
@@ -36,10 +36,10 @@ ln a/1 b/1 || framework_failure
fail=0
-mv f g $other_partition_tmpdir || fail=1
-mv a b $other_partition_tmpdir || fail=1
+mv f g "$other_partition_tmpdir" || fail=1
+mv a b "$other_partition_tmpdir" || fail=1
-cd $other_partition_tmpdir
+cd "$other_partition_tmpdir"
set `ls -Ci f g`
test $1 = $3 || fail=1
set `ls -Ci a/1 b/1`